@REM
@REM Copyright (C) 2010 Rodrigo Villamil Pérez <rodrigo.villamil@gmail.com>
@REM
@REM This file is part of SimpleTAG-Tools.
@REM
@REM SimpleTAG-Tools is free software: you can redistribute it and/or modify
@REM it under the terms of the GNU General Public License as published by
@REM the Free Software Foundation, either version 3 of the License, or
@REM (at your option) any later version.
@REM
@REM SimpleTAG-Tools is distributed in the hope that it will be useful,
@REM but WITHOUT ANY WARRANTY; without even the implied warranty of
@REM MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@REM GNU General Public License for more details.
@REM
@REM You should have received a copy of the GNU General Public License
@REM along with SimpleTAG-Tools.  If not, see <http://www.gnu.org/licenses/>.
@REM

@REM
@REM Fecha: 24/11/12
@REM
@REM Description: Run simpletag app
@REM

@echo off
cls

SET MAIN_CLASS="es.rvp.java.simpletag.gui.jface.main.MainWindow"
SET LIBDIR="lib"
SET EXTDIR="ext"
SET FPCALC_PATH=%CD%\fpcalc

setLocal EnableDelayedExpansion
set APPLICATION_CLASSPATH="
for %%a in (%LIBDIR%\*.jar) do (
   set APPLICATION_CLASSPATH=!APPLICATION_CLASSPATH!;%%a
)
set APPLICATION_CLASSPATH=!APPLICATION_CLASSPATH!"

for %%a in (%EXTDIR%\*.jar) do (
   set APPLICATION_CLASSPATH=!APPLICATION_CLASSPATH!;%%a
)
set APPLICATION_CLASSPATH=!APPLICATION_CLASSPATH!"

set APPLICATION_CLASSPATH=etc;!APPLICATION_CLASSPATH!

set CLASSPATH=""
set CLASSPATH=%APPLICATION_CLASSPATH%

@REM echo %CLASSPATH%

echo "INFO - simpletag (shell script) - Starting application ..."
java -Dfile.encoding=UTF-8 -Xms128m -Xmx512m -XX:PermSize=128m -XX:MaxPermSize=128m %MAIN_CLASS% %FPCALC_PATH%

